Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Operations
GETEvent OperationsSince 4.1.0SynchronousAuth Required

QueryEventRecord

QueryEventRecord

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • timelongRequired

      The time.

    • countlongRequired

      The count.

    • idlongRequired

      The message ID.

    • createTimelongRequired

      The creation date.

    • namespaceStringRequired

      The namespace.

    • nameStringRequired

      The name.

    • emergencyLevelStringRequired

      The emergency level of an alarm.

    • resourceIdStringRequired

      The resource UUID.

    • errorStringRequired

      The error information.

      • codeStringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • descriptionStringRequired

        The brief description of the error.

      • detailsStringRequired

        The details about the error.

      • elaborationStringRequired

        The reserved field. Default value: null.

      • opaqueLinkedHashMapRequired

        The reserved field. Default value: null.

      • causeErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

    • dataUuidStringRequired

      The message UUID.

    • accountUuidStringRequired

      The account UUID.

    • subscriptionUuidStringRequired

      The event alarm UUID.

    • readStatusBooleanRequired

      The read status.

    • labelsStringRequired

      The labels.

Endpoint

GET/zstack/v1/zwatch/event-records

/zstack/v1/zwatch/event-records

Operation ID

QueryEventRecord

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/event-records' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 1.0, "createTime": 1.510669257141E12, "namespace": "ZStack/PrimaryStorage", "name": "PrimaryStorageDisconnected", "emergencyLevel": "Emergent", "resourceId": "ff1d1d9429da35cfb3d4dfad772d0f3a", "dataUuid": "64f3d04e7144348db07585dfc9293582", "accountUuid": "1f2c621ce02d37268da28bb368f6b265", "subscriptionUuid": "e30c7668d9c13585915da7e6442f6749", "readStatus": true, "labels": "{\"Error\":\"No Host state is Enabled, Please check the availability of the host\"}" } ] }

Change History

This API has no change history records yet.

View all change history